SubclassEntitySourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class SubclassEntitySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.AbstractEntitySourceImpl
          org.hibernate.metamodel.source.hbm.SubclassEntitySourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, EntitySource, SubclassEntityContainer, SubclassEntitySource

    public class SubclassEntitySourceImpl

extends AbstractEntitySourceImpl
implements SubclassEntitySource

Constructor Summary
`protected` | `SubclassEntitySourceImpl(MappingDocument sourceMappingDocument, EntityElement entityElement)`

Method Summary
`String` | `getDiscriminatorMatchValue()` Get the actual discriminator value in case of a single table inheritance
`TableSource` | `getPrimaryTable()` Obtain the primary table for this entity.

Methods inherited from class org.hibernate.metamodel.source.hbm.AbstractEntitySourceImpl
`add, add, attributeSources, determineEntityMode, entityElement, getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPath, getProxy, getSecondaryTables, getSynchronizedTableNames, injectHierarchy, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes, sourceMappingDocument, subclassEntitySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource
`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Constructor Detail

### SubclassEntitySourceImpl

    protected SubclassEntitySourceImpl(MappingDocument sourceMappingDocument,
                                       EntityElement entityElement)

Method Detail

### getPrimaryTable

    public TableSource getPrimaryTable()

  Description copied from interface: `EntitySource`
  Obtain the primary table for this entity.

  Specified by:
    `getPrimaryTable` in interface `EntitySource`
  Returns:
    The primary table.

### getDiscriminatorMatchValue

    public String getDiscriminatorMatchValue()

  Description copied from interface: `EntitySource`
  Get the actual discriminator value in case of a single table inheritance

  Specified by:
    `getDiscriminatorMatchValue` in interface `EntitySource`
  Overrides:
    `getDiscriminatorMatchValue` in class `AbstractEntitySourceImpl`
  Returns:
    the actual discriminator value in case of a single table inheritance or `null` in case there is no explicit value or a different inheritance scheme

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.